POST/api/v2/brand-packs/uploads
Headers
Authorizationstring requiredBearer pj_live_… Raw keys are shown only when created. The
x-api-keyheader is an alternative transport.
Body parameters
filenamestring required
Response
201 Created Signed upload authority.
upload_pathstring requireduploadobject requiredupload.methodenum requiredPUTupload.signed_urlstring (uri) requiredupload.tokenstring requiredupload.bucketstring requiredupload.content_typestring requiredupload.max_bytesinteger requiredupload.expires_in_secondsinteger required
Errors
| Status | When |
|---|---|
400 | Invalid request. |
401 | Missing, invalid, unentitled, or no-longer-accepted API key. |
429 | Finite rate limit or durable hosted quota refused the request. |
500 | Compatibility service failure. |
curl -X POST \
-H "Authorization: Bearer pj_live_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"filename":"FILENAME"}' \
https://runstamp.com/api/v2/brand-packs/uploadsResponse 201 Created
{
"upload_path": "UPLOAD_PATH",
"upload": {
"method": "PUT",
"signed_url": "https://…",
"token": "TOKEN",
"bucket": "BUCKET",
"content_type": "CONTENT_TYPE",
"max_bytes": 1,
"expires_in_seconds": 1
}
}